# XQilla Simple API Documentation

# DocumentCache.hpp File Reference

`#include <vector>`
`#include <xqilla/framework/XPath2MemoryManager.hpp>`
`#include <xqilla/items/Node.hpp>`
`#include <xercesc/util/XercesDefs.hpp>`
`#include <xercesc/util/XMemory.hpp>`
Include dependency graph for DocumentCache.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | DocumentCache
| Expression Context is a storage for contexts. More...

## Namespaces

namespace | xercesc

## Typedefs

typedef std::vector< const XMLCh *, XQillaAllocator < const XMLCh * > > | VectorOfStrings

## Typedef Documentation

typedef std::vector<const XMLCh*, XQillaAllocator<const XMLCh*> > VectorOfStrings